setup.py 1.5 KB
Newer Older
1
2
3
#!/usr/bin/env python
# -*- coding: utf-8 -*-

André Hollstein's avatar
André Hollstein committed
4
from setuptools import setup, find_packages
5
6
7
8
9
10
11

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

12
13
14
15
version = {}
with open("enpt/version.py") as version_file:
    exec(version_file.read(), version)

16
requirements = [  # put package requirements here
17
    'numpy', 'scipy', 'geoarray>=0.7.15', 'spectral>=0.16', 'cerberus', 'jsmin', 'matplotlib', 'tqdm'
18
    # 'sicor', # pip install git+https://gitext.gfz-potsdam.de/EnMAP/sicor.git
19
20
]

21
test_requirements = ['coverage', 'nose', 'nose-htmloutput', 'rednose']
22
23
24

setup(
    name='enpt',
25
    version=version['__version__'],
26
    description="EnMAP Processing Tools",
27
28
29
    long_description=readme + '\n\n' + history,
    author="Karl Segl",
    author_email='segl@gfz-potsdam.de',
30
    url='https://gitext.gfz-potsdam.de/EnMAP/GFZ_Tools_EnMAP_BOX/EnPT',
André Hollstein's avatar
André Hollstein committed
31
    packages=find_packages(exclude=['tests*']),
32
33
34
35
36
37
    package_dir={'enpt':
                 'enpt'},
    include_package_data=True,
    install_requires=requirements,
    license="GNU General Public License v3",
    zip_safe=False,
Daniel Scheffler's avatar
Fix.    
Daniel Scheffler committed
38
    scripts=['bin/enpt_cli.py'],
39
    data=[],  # TODO
40
41
42
43
44
45
46
47
48
49
    keywords='enpt',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'Natural Language :: English',
        'Programming Language :: Python :: 3.5',
    ],
    test_suite='tests',
    tests_require=test_requirements
)